#!/usr/bin/python
from distutils.core import setup
setup(name='tcrcdr',
      version='1.0',
      description='Sequence-based antibody CAnonical LOop structure Predictor',
      author='Wing Ki Wong',
      author_email='opig@stats.ox.ac.uk',
      url='http://opig.stats.ox.ac.uk/webapps/tcrcdr', 
      packages=['tcrcdr',
      			 'tcrcdr.anarci',
      			 'tcrcdr.anarci.Bio',
      			 'tcrcdr.anarci.Bio._py3k',
      			 'tcrcdr.anarci.Bio.Align',
      			 'tcrcdr.anarci.Bio.Alphabet',
      			 'tcrcdr.anarci.Bio.Data',
      			 'tcrcdr.anarci.Bio.SearchIO',
      			 'tcrcdr.anarci.Bio.SearchIO._model',
      			 'tcrcdr.anarci.Bio.SearchIO.HmmerIO'],
      package_dir={'tcrcdr': 'lib/python/tcrcdr',
      				 'tcrcdr.anarci': 'lib/python/tcrcdr/anarci',
      				 'tcrcdr.anarci.Bio': 'lib/python/tcrcdr/anarci/Bio',
      				 'tcrcdr.anarci.Bio._py3k': 'lib/python/tcrcdr/anarci/Bio/_py3k',
      				 'tcrcdr.anarci.Bio.Align': 'lib/python/tcrcdr/anarci/Bio/Align',
      				 'tcrcdr.anarci.Bio.Alphabet': 'lib/python/tcrcdr/anarci/Bio/Alphabet',
      				 'tcrcdr.anarci.Bio.Data': 'lib/python/tcrcdr/anarci/Bio/Data',
      				 'tcrcdr.anarci.Bio.SearchIO': 'lib/python/tcrcdr/anarci/Bio/SearchIO',
      				 'tcrcdr.anarci.Bio.SearchIO._model': 'lib/python/tcrcdr/anarci/Bio/SearchIO/_model',
      				 'tcrcdr.anarci.Bio.SearchIO.HmmerIO': 'lib/python/tcrcdr/anarci/Bio/SearchIO/HmmerIO'},
      package_data={
          'tcrcdr': ['database/*'],
          'tcrcdr.anarci': ['dat/HMMs/ALL*']
      },
      scripts=['bin/TCRCDR'],
      license="GPLv3"
     )
